import React, { Component, useState } from 'react';
import '../../assets/css/sideBar.less';
import { NavLink, Link } from "react-router-dom";
import Profile from "../../assets/images/icons/customprofile.png"
import { connect } from "react-redux";
import { withRouter } from "../../redux/store/navigate";
import { isUserAuthenticated, getUserData, setSession } from "../../utils/AuthUtils";
import { userSignIn, getUserProfile, userSignOut } from "../../redux/actions/Auth";
import Dropdown from 'react-bootstrap/Dropdown'

class Sidebar extends Component {
  constructor(props) {
    super(props);
    this.state = {
      isActive: false,
      isshowprofileMenu: false,
      roles: "",
      onboards: ""
    };
  }

  handleClickMobileMenu = (e) => {
    e.preventDefault();
    const currentState = this.isActive;
    this.setState({ isActive: !currentState })
  }
  handleClickProfileMenu = (e) => {
    e.preventDefault();
    const currentState = this.state.isshowprofileMenu;
    this.setState({ isshowprofileMenu: !currentState })
  }

  handleLogout = (e) => {
    const refreshKey = getUserData('refreshKey')
    console.log(refreshKey)
    let params = {
      "refreshKey": refreshKey
    }
    userSignOut(params)
    localStorage.removeItem("token");
    setSession(null)
    window.location.replace("/")
    e.preventDefault();
  }

  componentDidMount() {
    this.props.getUserProfile();
    console.log('render-isOnboarded', this.props.userProfile.isOnboarded)
    const logs = this.props.userProfile.isOnboarded
    this.setState({ onboards: this.props.userProfile.isOnboarded })
    console.log('isOnboarded', this.state.onboards,logs)
    if (logs && this.state.onboards === undefined || false || 0 || "") {
      window.location.replace("/")
    }
    const people = this.props.userProfile.currentRole
    this.setState({ roles: people })
  }

  componentDidUpdate() {
    // if (window.performance.navigation && window.performance.navigation.type === 1) {
    //   this.props.getUserProfile();
    //   console.log('render-isOnboarded', this.props.userProfile.isOnboarded)
    //   const logs = this.props.userProfile.isOnboarded
    //   console.log(logs)
    //   if (logs === undefined || false || 0 || "") {
    //     window.location.replace("/")
    //   }
    // }
  }



  render() {
    let { isActive, isshowprofileMenu, roles } = this.state;
    return (
      <>
        <div className='sidebarcnt'>
          <div className='navbar__mobile__view'>
            <a onClick={(e) => this.handleClickMobileMenu(e)} >
              {!isActive ?
                <span>
                  <svg width="25" height="25" viewBox="0 0 50 50" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fillRule="evenodd" clipRule="evenodd" d="M7.8125 37.5C7.8125 37.0856 7.97712 36.6882 8.27015 36.3951C8.56317 36.1021 8.9606 35.9375 9.375 35.9375H40.625C41.0394 35.9375 41.4368 36.1021 41.7299 36.3951C42.0229 36.6882 42.1875 37.0856 42.1875 37.5C42.1875 37.9144 42.0229 38.3118 41.7299 38.6049C41.4368 38.8979 41.0394 39.0625 40.625 39.0625H9.375C8.9606 39.0625 8.56317 38.8979 8.27015 38.6049C7.97712 38.3118 7.8125 37.9144 7.8125 37.5ZM7.8125 25C7.8125 24.5856 7.97712 24.1882 8.27015 23.8951C8.56317 23.6021 8.9606 23.4375 9.375 23.4375H40.625C41.0394 23.4375 41.4368 23.6021 41.7299 23.8951C42.0229 24.1882 42.1875 24.5856 42.1875 25C42.1875 25.4144 42.0229 25.8118 41.7299 26.1049C41.4368 26.3979 41.0394 26.5625 40.625 26.5625H9.375C8.9606 26.5625 8.56317 26.3979 8.27015 26.1049C7.97712 25.8118 7.8125 25.4144 7.8125 25ZM7.8125 12.5C7.8125 12.0856 7.97712 11.6882 8.27015 11.3951C8.56317 11.1021 8.9606 10.9375 9.375 10.9375H40.625C41.0394 10.9375 41.4368 11.1021 41.7299 11.3951C42.0229 11.6882 42.1875 12.0856 42.1875 12.5C42.1875 12.9144 42.0229 13.3118 41.7299 13.6049C41.4368 13.8979 41.0394 14.0625 40.625 14.0625H9.375C8.9606 14.0625 8.56317 13.8979 8.27015 13.6049C7.97712 13.3118 7.8125 12.9144 7.8125 12.5V12.5Z" fill="white" />
                  </svg>
                </span> :
                <span>
                  <svg width="25" height="25" viewBox="0 0 50 50" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fillRule="evenodd" clipRule="evenodd" d="M43.2938 6.70514C43.4393 6.85028 43.5547 7.0227 43.6335 7.21253C43.7123 7.40236 43.7528 7.60586 43.7528 7.81139C43.7528 8.01691 43.7123 8.22041 43.6335 8.41024C43.5547 8.60007 43.4393 8.77249 43.2938 8.91764L8.91877 43.2926C8.62538 43.586 8.22744 43.7509 7.81252 43.7509C7.3976 43.7509 6.99967 43.586 6.70627 43.2926C6.41287 42.9992 6.24805 42.6013 6.24805 42.1864C6.24805 41.7715 6.41287 41.3735 6.70627 41.0801L41.0813 6.70514C41.2264 6.55963 41.3988 6.44418 41.5887 6.36541C41.7785 6.28664 41.982 6.24609 42.1875 6.24609C42.393 6.24609 42.5965 6.28664 42.7864 6.36541C42.9762 6.44418 43.1486 6.55963 43.2938 6.70514V6.70514Z" fill="white" />
                    <path fillRule="evenodd" clipRule="evenodd" d="M6.70611 6.70514C6.5606 6.85028 6.44516 7.0227 6.36639 7.21253C6.28762 7.40236 6.24707 7.60586 6.24707 7.81139C6.24707 8.01691 6.28762 8.22041 6.36639 8.41024C6.44516 8.60007 6.5606 8.77249 6.70611 8.91764L41.0811 43.2926C41.3745 43.586 41.7724 43.7509 42.1874 43.7509C42.6023 43.7509 43.0002 43.586 43.2936 43.2926C43.587 42.9992 43.7518 42.6013 43.7518 42.1864C43.7518 41.7715 43.587 41.3735 43.2936 41.0801L8.91861 6.70514C8.77347 6.55963 8.60105 6.44418 8.41122 6.36541C8.22139 6.28664 8.01789 6.24609 7.81236 6.24609C7.60684 6.24609 7.40334 6.28664 7.21351 6.36541C7.02368 6.44418 6.85126 6.55963 6.70611 6.70514V6.70514Z" fill="white" />
                  </svg>
                </span>
              }
            </a>
          </div>
          <div className='navbar__view'>
            <div className='navbar__brand text-center'>
              <Link to={`/${roles}/dashboard`}>
                <svg width="40" height="40" viewBox="0 0 50 54" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path fillRule="evenodd" clipRule="evenodd" d="M1 14.3614V40.1398L24.5498 52.5123V26.8633L48.5387 13.5015L24.7693 1L1 13.5015V14.3614Z" stroke="white" strokeWidth="1.98415" strokeLinejoin="round" />
                  <path d="M24.113 52.6923L48.9998 39.4866V13.5811L24.113 27.4391" stroke="white" strokeWidth="1.98415" strokeLinejoin="round" />
                  <path d="M11.1683 44.5337V20.4134L36.2345 7.0498" stroke="white" strokeWidth="1.98415" strokeLinejoin="round" />
                </svg>
              </Link>
            </div>
            <nav className={isActive ? " sidebar sidebar__light active" : "sidebar sidebar__light remove"}>
              <div className="sb-sidenav-menu">
                <div className="sidebar__nav">
                  <ul className='text-center main-navbar'>
                    {roles === "parent" ? (
                      <li>
                        <svg width="90" height="31" viewBox="0 0 120 31" fill="none" xmlns="http://www.w3.org/2000/svg">
                          <rect width="120" height="31" rx="8" fill="#919293" fill-opacity="0.2" />
                          <path d="M21.936 10.575V18.09C21.936 19.02 21.651 19.755 21.081 20.295C20.521 20.835 19.781 21.105 18.861 21.105C17.941 21.105 17.196 20.835 16.626 20.295C16.066 19.755 15.786 19.02 15.786 18.09H17.511C17.521 18.55 17.636 18.915 17.856 19.185C18.086 19.455 18.421 19.59 18.861 19.59C19.301 19.59 19.636 19.455 19.866 19.185C20.096 18.905 20.211 18.54 20.211 18.09V10.575H21.936ZM24.1478 16.83C24.1478 16 24.3178 15.265 24.6578 14.625C25.0078 13.985 25.4778 13.49 26.0678 13.14C26.6678 12.78 27.3278 12.6 28.0478 12.6C28.6978 12.6 29.2628 12.73 29.7428 12.99C30.2328 13.24 30.6228 13.555 30.9128 13.935V12.735H32.6378V21H30.9128V19.77C30.6228 20.16 30.2278 20.485 29.7278 20.745C29.2278 21.005 28.6578 21.135 28.0178 21.135C27.3078 21.135 26.6578 20.955 26.0678 20.595C25.4778 20.225 25.0078 19.715 24.6578 19.065C24.3178 18.405 24.1478 17.66 24.1478 16.83ZM30.9128 16.86C30.9128 16.29 30.7928 15.795 30.5528 15.375C30.3228 14.955 30.0178 14.635 29.6378 14.415C29.2578 14.195 28.8478 14.085 28.4078 14.085C27.9678 14.085 27.5578 14.195 27.1778 14.415C26.7978 14.625 26.4878 14.94 26.2478 15.36C26.0178 15.77 25.9028 16.26 25.9028 16.83C25.9028 17.4 26.0178 17.9 26.2478 18.33C26.4878 18.76 26.7978 19.09 27.1778 19.32C27.5678 19.54 27.9778 19.65 28.4078 19.65C28.8478 19.65 29.2578 19.54 29.6378 19.32C30.0178 19.1 30.3228 18.78 30.5528 18.36C30.7928 17.93 30.9128 17.43 30.9128 16.86ZM39.0538 12.6C39.7038 12.6 40.2838 12.735 40.7938 13.005C41.3138 13.275 41.7188 13.675 42.0088 14.205C42.2988 14.735 42.4438 15.375 42.4438 16.125V21H40.7488V16.38C40.7488 15.64 40.5638 15.075 40.1938 14.685C39.8238 14.285 39.3188 14.085 38.6788 14.085C38.0388 14.085 37.5288 14.285 37.1488 14.685C36.7788 15.075 36.5938 15.64 36.5938 16.38V21H34.8838V12.735H36.5938V13.68C36.8738 13.34 37.2288 13.075 37.6588 12.885C38.0988 12.695 38.5638 12.6 39.0538 12.6ZM52.2 16.665C52.2 16.975 52.18 17.255 52.14 17.505H45.825C45.875 18.165 46.12 18.695 46.56 19.095C47 19.495 47.54 19.695 48.18 19.695C49.1 19.695 49.75 19.31 50.13 18.54H51.975C51.725 19.3 51.27 19.925 50.61 20.415C49.96 20.895 49.15 21.135 48.18 21.135C47.39 21.135 46.68 20.96 46.05 20.61C45.43 20.25 44.94 19.75 44.58 19.11C44.23 18.46 44.055 17.71 44.055 16.86C44.055 16.01 44.225 15.265 44.565 14.625C44.915 13.975 45.4 13.475 46.02 13.125C46.65 12.775 47.37 12.6 48.18 12.6C48.96 12.6 49.655 12.77 50.265 13.11C50.875 13.45 51.35 13.93 51.69 14.55C52.03 15.16 52.2 15.865 52.2 16.665ZM50.415 16.125C50.405 15.495 50.18 14.99 49.74 14.61C49.3 14.23 48.755 14.04 48.105 14.04C47.515 14.04 47.01 14.23 46.59 14.61C46.17 14.98 45.92 15.485 45.84 16.125H50.415ZM57.2093 15.765C57.2093 14.745 57.4443 13.83 57.9143 13.02C58.3943 12.21 59.0393 11.58 59.8493 11.13C60.6693 10.67 61.5643 10.44 62.5343 10.44C63.6443 10.44 64.6293 10.715 65.4893 11.265C66.3593 11.805 66.9893 12.575 67.3793 13.575H65.3243C65.0543 13.025 64.6793 12.615 64.1993 12.345C63.7193 12.075 63.1643 11.94 62.5343 11.94C61.8443 11.94 61.2293 12.095 60.6893 12.405C60.1493 12.715 59.7243 13.16 59.4143 13.74C59.1143 14.32 58.9643 14.995 58.9643 15.765C58.9643 16.535 59.1143 17.21 59.4143 17.79C59.7243 18.37 60.1493 18.82 60.6893 19.14C61.2293 19.45 61.8443 19.605 62.5343 19.605C63.1643 19.605 63.7193 19.47 64.1993 19.2C64.6793 18.93 65.0543 18.52 65.3243 17.97H67.3793C66.9893 18.97 66.3593 19.74 65.4893 20.28C64.6293 20.82 63.6443 21.09 62.5343 21.09C61.5543 21.09 60.6593 20.865 59.8493 20.415C59.0393 19.955 58.3943 19.32 57.9143 18.51C57.4443 17.7 57.2093 16.785 57.2093 15.765ZM70.0709 21.105C69.7609 21.105 69.5009 21 69.2909 20.79C69.0809 20.58 68.9759 20.32 68.9759 20.01C68.9759 19.7 69.0809 19.44 69.2909 19.23C69.5009 19.02 69.7609 18.915 70.0709 18.915C70.3709 18.915 70.6259 19.02 70.8359 19.23C71.0459 19.44 71.1509 19.7 71.1509 20.01C71.1509 20.32 71.0459 20.58 70.8359 20.79C70.6259 21 70.3709 21.105 70.0709 21.105Z" fill="#1B1C1E" />
                          <path d="M88 14L93.5 18.9762L99 14" stroke="#1B1C1E" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                        </svg>
                      </li>
                    ) : ""}
                    <li>
                      <NavLink to={`/${roles}/dashboard`} className={({ isActive }) => (isActive ? "link-active" : "link")} >
                        <p className='icon mb-0'>
                          <svg width="20" height="20" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M12 1.5C6.20156 1.5 1.5 6.20156 1.5 12C1.5 17.7984 6.20156 22.5 12 22.5C17.7984 22.5 22.5 17.7984 22.5 12C22.5 6.20156 17.7984 1.5 12 1.5ZM12 20.7188C7.18594 20.7188 3.28125 16.8141 3.28125 12C3.28125 7.18594 7.18594 3.28125 12 3.28125C16.8141 3.28125 20.7188 7.18594 20.7188 12C20.7188 16.8141 16.8141 20.7188 12 20.7188Z" fill="black" />
                            <path d="M16.0945 14.9672L12.7523 12.5508V6.75C12.7523 6.64687 12.668 6.5625 12.5648 6.5625H11.4375C11.3344 6.5625 11.25 6.64687 11.25 6.75V13.2047C11.25 13.2656 11.2781 13.3219 11.3273 13.357L15.2039 16.1836C15.2883 16.2445 15.4055 16.2258 15.4664 16.1437L16.1367 15.2297C16.1976 15.1429 16.1789 15.0258 16.0945 14.9672Z" fill="black" />
                          </svg>
                        </p>
                        Dashboard
                      </NavLink>
                    </li>
                    <li>
                      <NavLink to={`/${roles}/mywork`} className={({ isActive }) => (isActive ? "link-active" : "link")} >
                        <p className='icon mb-0'>
                          <svg width="20" height="20" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M20.625 2.625H3.375C2.96016 2.625 2.625 2.96016 2.625 3.375V20.625C2.625 21.0398 2.96016 21.375 3.375 21.375H20.625C21.0398 21.375 21.375 21.0398 21.375 20.625V3.375C21.375 2.96016 21.0398 2.625 20.625 2.625ZM19.6875 19.6875H4.3125V4.3125H19.6875V19.6875ZM11.5312 9.375H15.8438C15.9469 9.375 16.0312 9.29063 16.0312 9.1875V8.0625C16.0312 7.95937 15.9469 7.875 15.8438 7.875H11.5312C11.4281 7.875 11.3438 7.95937 11.3438 8.0625V9.1875C11.3438 9.29063 11.4281 9.375 11.5312 9.375ZM11.5312 12.75H15.8438C15.9469 12.75 16.0312 12.6656 16.0312 12.5625V11.4375C16.0312 11.3344 15.9469 11.25 15.8438 11.25H11.5312C11.4281 11.25 11.3438 11.3344 11.3438 11.4375V12.5625C11.3438 12.6656 11.4281 12.75 11.5312 12.75ZM11.5312 16.125H15.8438C15.9469 16.125 16.0312 16.0406 16.0312 15.9375V14.8125C16.0312 14.7094 15.9469 14.625 15.8438 14.625H11.5312C11.4281 14.625 11.3438 14.7094 11.3438 14.8125V15.9375C11.3438 16.0406 11.4281 16.125 11.5312 16.125ZM7.96875 8.625C7.96875 8.87364 8.06752 9.1121 8.24334 9.28791C8.41915 9.46373 8.65761 9.5625 8.90625 9.5625C9.15489 9.5625 9.39335 9.46373 9.56916 9.28791C9.74498 9.1121 9.84375 8.87364 9.84375 8.625C9.84375 8.37636 9.74498 8.1379 9.56916 7.96209C9.39335 7.78627 9.15489 7.6875 8.90625 7.6875C8.65761 7.6875 8.41915 7.78627 8.24334 7.96209C8.06752 8.1379 7.96875 8.37636 7.96875 8.625ZM7.96875 12C7.96875 12.2486 8.06752 12.4871 8.24334 12.6629C8.41915 12.8387 8.65761 12.9375 8.90625 12.9375C9.15489 12.9375 9.39335 12.8387 9.56916 12.6629C9.74498 12.4871 9.84375 12.2486 9.84375 12C9.84375 11.7514 9.74498 11.5129 9.56916 11.3371C9.39335 11.1613 9.15489 11.0625 8.90625 11.0625C8.65761 11.0625 8.41915 11.1613 8.24334 11.3371C8.06752 11.5129 7.96875 11.7514 7.96875 12ZM7.96875 15.375C7.96875 15.6236 8.06752 15.8621 8.24334 16.0379C8.41915 16.2137 8.65761 16.3125 8.90625 16.3125C9.15489 16.3125 9.39335 16.2137 9.56916 16.0379C9.74498 15.8621 9.84375 15.6236 9.84375 15.375C9.84375 15.1264 9.74498 14.8879 9.56916 14.7121C9.39335 14.5363 9.15489 14.4375 8.90625 14.4375C8.65761 14.4375 8.41915 14.5363 8.24334 14.7121C8.06752 14.8879 7.96875 15.1264 7.96875 15.375Z" fill="black" />
                          </svg>
                        </p>
                        My work
                      </NavLink>
                    </li>
                    <li>
                      <NavLink to={`/${roles}/schedule`} className={({ isActive }) => (isActive ? "link-active" : "link")} >
                        <p className='icon mb-0'>
                          <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M18.625 2.3125H14.6875V0.8125C14.6875 0.709375 14.6031 0.625 14.5 0.625H13.1875C13.0844 0.625 13 0.709375 13 0.8125V2.3125H7V0.8125C7 0.709375 6.91563 0.625 6.8125 0.625H5.5C5.39687 0.625 5.3125 0.709375 5.3125 0.8125V2.3125H1.375C0.960156 2.3125 0.625 2.64766 0.625 3.0625V18.625C0.625 19.0398 0.960156 19.375 1.375 19.375H18.625C19.0398 19.375 19.375 19.0398 19.375 18.625V3.0625C19.375 2.64766 19.0398 2.3125 18.625 2.3125ZM17.6875 17.6875H2.3125V8.78125H17.6875V17.6875ZM2.3125 7.1875V4H5.3125V5.125C5.3125 5.22813 5.39687 5.3125 5.5 5.3125H6.8125C6.91563 5.3125 7 5.22813 7 5.125V4H13V5.125C13 5.22813 13.0844 5.3125 13.1875 5.3125H14.5C14.6031 5.3125 14.6875 5.22813 14.6875 5.125V4H17.6875V7.1875H2.3125Z" fill="black" />
                          </svg>

                        </p>
                        Schedule
                      </NavLink>
                    </li>
                    <li>
                      <NavLink to={`/${roles}/messenger`} className={({ isActive }) => (isActive ? "link-active" : "link")} >
                        <p className='icon mb-0'>
                          <svg width="20" height="20" viewBox="0 0 22 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M20.75 0.75H1.25C0.835156 0.75 0.5 1.08516 0.5 1.5V16.5C0.5 16.9148 0.835156 17.25 1.25 17.25H20.75C21.1648 17.25 21.5 16.9148 21.5 16.5V1.5C21.5 1.08516 21.1648 0.75 20.75 0.75ZM19.8125 3.34687V15.5625H2.1875V3.34687L1.54063 2.84297L2.46172 1.65938L3.46484 2.43984H18.5375L19.5406 1.65938L20.4617 2.84297L19.8125 3.34687V3.34687ZM18.5375 2.4375L11 8.29688L3.4625 2.4375L2.45938 1.65703L1.53828 2.84062L2.18516 3.34453L10.1914 9.56953C10.4217 9.74841 10.7049 9.84551 10.9965 9.84551C11.2881 9.84551 11.5713 9.74841 11.8016 9.56953L19.8125 3.34687L20.4594 2.84297L19.5383 1.65938L18.5375 2.4375Z" fill="black" />
                          </svg>

                        </p>
                        Messenger
                      </NavLink>
                    </li>
                    <li>
                      <NavLink to={`/${roles}/mynetwork`} className={({ isActive }) => (isActive ? "link-active" : "link")} >
                        <p className='icon mb-0'>
                          <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M17.3166 14.4035C16.73 13.8164 16.0445 13.3372 15.2916 12.9879C16.3534 12.1277 17.0307 10.8152 17.0307 9.34332C17.0307 6.74645 14.8651 4.61598 12.2682 4.65582C9.71117 4.69567 7.65101 6.77926 7.65101 9.34332C7.65101 10.8152 8.3307 12.1277 9.39007 12.9879C8.63704 13.3369 7.95153 13.8161 7.36507 14.4035C6.08539 15.6855 5.35882 17.3777 5.31195 19.1824C5.31132 19.2074 5.31571 19.2323 5.32485 19.2556C5.334 19.2789 5.34771 19.3001 5.36518 19.318C5.38265 19.3359 5.40354 19.3502 5.4266 19.3599C5.44966 19.3696 5.47443 19.3746 5.49945 19.3746H6.81195C6.91273 19.3746 6.99711 19.2949 6.99945 19.1941C7.04398 17.8347 7.59476 16.5621 8.56273 15.5964C9.05806 15.0985 9.64723 14.7037 10.2961 14.435C10.9451 14.1662 11.6408 14.0289 12.3432 14.0308C13.7705 14.0308 15.1135 14.5863 16.1237 15.5964C17.0893 16.5621 17.6401 17.8347 17.6869 19.1941C17.6893 19.2949 17.7737 19.3746 17.8744 19.3746H19.1869C19.212 19.3746 19.2367 19.3696 19.2598 19.3599C19.2829 19.3502 19.3037 19.3359 19.3212 19.318C19.3387 19.3001 19.3524 19.2789 19.3615 19.2556C19.3707 19.2323 19.3751 19.2074 19.3744 19.1824C19.3276 17.3777 18.601 15.6855 17.3166 14.4035ZM12.3432 12.3433C11.5416 12.3433 10.7869 12.0316 10.2221 11.4644C9.93864 11.1832 9.71472 10.8477 9.56372 10.4781C9.41271 10.1084 9.33771 9.71213 9.3432 9.31286C9.35023 8.54411 9.65726 7.80114 10.194 7.25036C10.7565 6.67379 11.5088 6.3527 12.3127 6.34332C13.1073 6.33629 13.8784 6.64567 14.4455 7.20114C15.0268 7.77067 15.3455 8.53239 15.3455 9.34332C15.3455 10.1449 15.0338 10.8972 14.4666 11.4644C14.1884 11.744 13.8574 11.9657 13.4929 12.1165C13.1285 12.2674 12.7377 12.3445 12.3432 12.3433ZM6.47211 9.96207C6.45101 9.75817 6.43929 9.55192 6.43929 9.34332C6.43929 8.97067 6.47445 8.60739 6.54007 8.25348C6.55648 8.1691 6.51195 8.08239 6.4346 8.04723C6.11585 7.90426 5.82289 7.70739 5.56976 7.45895C5.2715 7.16975 5.03679 6.82155 4.88062 6.43656C4.72444 6.05158 4.65024 5.63828 4.66273 5.22301C4.68382 4.47067 4.98617 3.75582 5.51351 3.21676C6.09242 2.62379 6.87054 2.30035 7.69789 2.30973C8.44554 2.31676 9.16742 2.60504 9.71351 3.11598C9.89867 3.28942 10.058 3.4816 10.1916 3.68785C10.2385 3.76051 10.3299 3.79098 10.4096 3.76285C10.8221 3.61989 11.258 3.5191 11.7057 3.47223C11.8369 3.45817 11.9119 3.31754 11.8534 3.20035C11.0916 1.69332 9.53539 0.652698 7.73539 0.624573C5.13617 0.58473 2.97054 2.7152 2.97054 5.30973C2.97054 6.7816 3.64789 8.0941 4.7096 8.95426C3.96429 9.29879 3.27757 9.77457 2.68226 10.3699C1.39789 11.6519 0.671323 13.3441 0.624448 15.1511C0.623823 15.1761 0.62821 15.201 0.637353 15.2243C0.646495 15.2476 0.660207 15.2688 0.67768 15.2868C0.695154 15.3047 0.716036 15.3189 0.739096 15.3286C0.762155 15.3383 0.786926 15.3433 0.811948 15.3433H2.12679C2.22757 15.3433 2.31195 15.2636 2.31429 15.1629C2.35882 13.8035 2.9096 12.5308 3.87757 11.5652C4.56664 10.8761 5.41039 10.398 6.33148 10.166C6.42289 10.1425 6.48382 10.0558 6.47211 9.96207V9.96207Z" fill="black" />
                          </svg>
                        </p>
                        My Network
                      </NavLink>
                    </li>
                    <li>
                      <NavLink to={`/${roles}/library`} className={({ isActive }) => (isActive ? "link-active" : "link")} >
                        <p className='icon mb-0'>
                          <svg width="20" height="20" viewBox="0 0 25 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M14.5 2H6.5C5.96957 2 5.46086 2.21071 5.08579 2.58579C4.71071 2.96086 4.5 3.46957 4.5 4V20C4.5 20.5304 4.71071 21.0391 5.08579 21.4142C5.46086 21.7893 5.96957 22 6.5 22H18.5C19.0304 22 19.5391 21.7893 19.9142 21.4142C20.2893 21.0391 20.5 20.5304 20.5 20V8L14.5 2Z" stroke="black" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
                            <path d="M12.5 18V12" stroke="black" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
                            <path d="M9.5 15H15.5" stroke="black" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
                            <path d="M14.5 2V8H20.5" stroke="black" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
                          </svg>
                        </p>
                        Library
                      </NavLink>
                    </li>
                  </ul>
                  <ul className='text-center'>
                    <li>
                      <NavLink to={`/${roles}/notification`} className={({ isActive }) => (isActive ? "link-active" : "link")} >
                        <p className='icon mb-0'>
                          <svg width="20" height="20" viewBox="0 0 20 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M18.3125 19H17.6562V9.70312C17.6562 5.84492 14.8043 2.65664 11.0938 2.12617V1.0625C11.0938 0.458203 10.6043 -0.03125 10 -0.03125C9.3957 -0.03125 8.90625 0.458203 8.90625 1.0625V2.12617C5.1957 2.65664 2.34375 5.84492 2.34375 9.70312V19H1.6875C1.20352 19 0.8125 19.391 0.8125 19.875V20.75C0.8125 20.8703 0.910937 20.9688 1.03125 20.9688H6.9375C6.9375 22.6586 8.31016 24.0312 10 24.0312C11.6898 24.0312 13.0625 22.6586 13.0625 20.9688H18.9688C19.0891 20.9688 19.1875 20.8703 19.1875 20.75V19.875C19.1875 19.391 18.7965 19 18.3125 19ZM10 22.2812C9.27539 22.2812 8.6875 21.6934 8.6875 20.9688H11.3125C11.3125 21.6934 10.7246 22.2812 10 22.2812ZM4.3125 19V9.70312C4.3125 8.18281 4.90312 6.75547 5.97773 5.68086C7.05234 4.60625 8.47969 4.01562 10 4.01562C11.5203 4.01562 12.9477 4.60625 14.0223 5.68086C15.0969 6.75547 15.6875 8.18281 15.6875 9.70312V19H4.3125Z" fill="black" />
                          </svg>
                        </p>
                        Notifications
                      </NavLink>
                    </li>
                    <li className='profile-menu'>
                      <a className='profile-menu-item' onClick={(e) => this.handleClickProfileMenu(e)} >
                        <p className='icon mb-0'>
                          <img src={Profile} className='profileimage' />
                        </p>
                        <ul className={isshowprofileMenu ? "profile-menu-list show" : "profile-menu-list "}>
                          <li><Link to={`/${roles}/myprofile`}><a className="dropdown-item">Profile</a></Link></li>
                          <li onClick={(e) => this.handleLogout(e)}><a className="dropdown-item">Log out</a></li>
                        </ul>
                      </a>
                    </li>
                  </ul>
                </div>
              </div>
            </nav>
          </div>
        </div>
      </>
    );
  }
}

const mapStateToProps = ({ auth, commonData }) => {
  const { message, errorList } = commonData
  const { userProfile } = auth;
  const { isProfileSuccess } = auth;
  return { message, errorList, userProfile, isProfileSuccess }
};

export default connect(mapStateToProps, { userSignIn, getUserProfile, userSignOut })(withRouter(Sidebar));